import { ProfileEcogestureAnswerType } from 'enum/ecogestureForm.enum'
import { ProfileType } from './profileType.model'

export type ProfileEcogesture = Pick<
  ProfileType,
  'heating' | 'warmingFluid' | 'hotWater' | 'equipments'
>

export type ProfileEcogestureValues = ProfileEcogesture[keyof ProfileEcogesture]

export interface ProfileEcogestureAnswer {
  type: ProfileEcogestureAnswerType
  attribute: keyof ProfileEcogesture
  choices: ProfileEcogestureValues[]
}
