import BrowserGrdf from 'assets/icons/visu/onboarding/browser_grdf.svg'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import Icon from 'cozy-ui/transpiled/react/Icon'
import React from 'react'
import { decoreText } from 'utils/decoreText'
import './stepDetail.scss'

const GrdfDoYouHaveAccount = () => {
  const { t } = useI18n()

  return (
    <div className="step-detail-info">
      <Icon className="info-icon" icon={BrowserGrdf} size={150} />
      <div className="info-content text-18-normal">
        <div className="info-content-text">
          {decoreText(t('auth.grdfgrandlyon.step1.info1'))}
          {decoreText(t('auth.grdfgrandlyon.step1.info2'))}
        </div>
        <div className="info-content-text">
          {decoreText(t('auth.grdfgrandlyon.step1.info3'))}
        </div>
        <div className="info-content-text">
          {decoreText(t('auth.grdfgrandlyon.step1.info4'))}
        </div>
      </div>
    </div>
  )
}

export default GrdfDoYouHaveAccount
