import GrdfConsent from 'assets/icons/visu/onboarding/grdf_consent.svg'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import Icon from 'cozy-ui/transpiled/react/Icon'
import React from 'react'
import { decoreText } from 'utils/decoreText'
import './stepDetail.scss'

const GrdfGiveConsent = () => {
  const { t } = useI18n()

  return (
    <div className="step-detail-info">
      <Icon className="info-icon" icon={GrdfConsent} size={220} />
      <div className="info-content text-18-normal">
        <div className="info-content-text">
          {decoreText(t('auth.grdfgrandlyon.step3.info1'))}
        </div>
        <div className="info-content-text">
          {decoreText(t('auth.grdfgrandlyon.step3.info2'))}
        </div>
        <div className="info-content-text">
          {decoreText(t('auth.grdfgrandlyon.step3.info3'))}
        </div>
      </div>
    </div>
  )
}

export default GrdfGiveConsent
