import { DataloadState } from 'enum/dataload.enum'
import { DateTime } from 'luxon'

export interface DataloadValueDetail {
  value: number
  state: DataloadState
}

export interface Dataload {
  date: DateTime
  value: number
  price?: number
  state: DataloadState
  valueDetail: DataloadValueDetail[] | null
}

export interface DataloadEntity {
  id: string
  _id?: string
  _type?: string
  _rev?: string
  day: number
  hour: number
  load: number
  minute: number
  month: number
  year: number
  price?: number
}
